[Stable Update] 2018-03-05 - Kernels, Browser, VirtualBox, QT5, Haskell, Python

update
stable

#1

Hi community,

welcome to another stable update of Manjaro. We worked again on our graphical stack, updated browsers, renewed most of our kernels and added regular upstream updates.

Here is the list of changes in more details:

  • We upgraded most of our Kernels
  • We updated some of our ISO-Profile settings
  • We updated some of our Browsers
  • We added some needed fixes to QT5
  • We updated VirtualBox and PHP
  • We fixed some issues within XFCE-Settings
  • We upgraded Java
  • We updated our User Guide documentation
  • We updated our Adapta themes
  • We released the needed Mesa Hotfix v17.3.6
  • We added regular upstream updates like Haskell and Python

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.54
  • linux318 3.18.97 [EOL]
  • linux41 4.1.49
  • linux44 4.4.119
  • linux49 4.9.85
  • linux414 4.14.23
  • linux415 4.15.7
  • linux416 4.16-rc3
  • linux-RT-LTS 4.14.20_rt17
  • linux-RT 4.14.20_rt17

Package Updates (Sun Mar 4 08:36:28 CET 2018)

  • stable community x86_64: 830 new and 826 removed package(s)
  • stable core x86_64: 22 new and 21 removed package(s)
  • stable extra x86_64: 225 new and 222 removed package(s)
  • stable multilib x86_64: 16 new and 13 removed package(s)

A detailed list of all changes can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

Known issues and solutions

This is a wiki post; please edit as necessary.


My mouse is jittering like hell!

Seems the new libinput update created some issues with some touchpads. If our new kernel updates don’t solve the issue for you, you may think about downgrading libinput instead, until upstream found a proper solution for you:

sudo pacman -U https://archive.archlinux.org/packages/l/libinput/libinput-1.9.4-1-x86_64.pkg.tar.xz

xorgproto, libxfont, can’t remove… what?

Refresh your mirrors and try the update again. This package conflict should be resolved.

Otherwise, say Yes to replace all the “proto” packages with xorgproto. If it wants to remove any packages, STOP, and run

sudo pacman-mirrors -f 3
sudo pacman -Syyu

KDE Global Menu on all my windows

Check System Settings -> Application Style -> Window Decorations -> Buttons.

Make sure global menu widget is removed from the Titlebar, for some reason it was added in 5.12 when the global menu setting option was removed.


KDE remove green separator line between Titlebar and Window

System Settings>Application Style>Window Decorations>Breeze>Settings Icon
Turn off “Draw separator …”


On KDE my external drives don’t get automounted when I plugged them in

As a workaround put into the KDE/Plasma autostart the program udiskie (just plain like that), after you had installed it. A re-login may be needed to get it active. As alternative start it manually for your current session.


My system won’t boot anymore after this update

Most likely you are using a freetype2 package from the AUR. Due the harfbuzz update, your system is broken. So either install the official supported freetype2 package from our repositories or downgrade to harfbuzz v1.7.4: sudo pacman -U https://archive.archlinux.org/packages/h/harfbuzz/harfbuzz-1.7.4-1-x86_64.pkg.tar.xz

You might try also try Freetype2-ultimate5 — fonts like in Infinality's ultimate5 which is a maintained package.


I get “error: command failed to execute correctly” during a GRUB update

Run sudo update-grub once more to ensure the command has worked correctly.


GNOME shell crashes

It’s probably an issue with an extension which needs to be updated. Disable them in turn until you find the one responsible.

If it’s when inserting USB drives, disable “Places Status Indicator”.


Font-Shadow issue within XFCE

Switch to another theme (e.g. Arc Maia), or execute the following cmd to fix the issue:

xfconf-query -c xfce4-desktop -p /desktop-icons/center-text -n -t bool -s false

This fixes the issue properly. (Can follow the links from Ask-Ubuntu #801478 to what exists for the xfce documentation.)

After the command is run the entry <property name="center-text" type="bool" value="false"/> is created under “desktop-icons” in /home/[user]/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml.


Firefox 58 won’t open

Please check this thread:


I don’t see any updates

That’s because your mirror is out of date. It can take several hours before a mirror get updated. If you want updates right now, run these commands :

sudo pacman-mirrors -f 3
sudo pacman -Syyu

You can always check the state of every mirrors here.


I get a black screen on boot or something doesn’t work

That’s probably because you have a partial set of updated packages. Switch to a text console using CTRL+ALT+F2, log in, then run the commands above.


An AUR package is stopping the update because of a conflict

Remove the AUR package, update, then reinstall the AUR package.


An AUR package says a key is invalid

You need to add the key to your keychain. Do a search of the forum, the answer has already been posted (several times :wink:).


Manual intervention for Gnome,Budgie and Mate:

Because the default icons set has changed from arc-maia to papirus-maia, you need to install papirus-maia-icon-theme manually. Otherwise, fallback icons ( for example, adwaita ) might be used instead.


conflicting files: zita-resampler: /usr/lib/libzita-resampler.so.1 already exists in filesystem

Some users got this error when they tried to update their system. If you have this message, remove /usr/lib/libzita-resampler.so.1 manually before updating.


#3

update is fine ,
for X11 config and nvidia , i have to reset to have a new config file , change for version 390 that do not apply , i was still with older 397 series config

new pacnew for lightdm-gtk-greeter


#4

Easy update. Falkon replaced Qupzilla, and I could have manually copied the config, but I chose to start fresh instead. I did need to manually add Falkon to my kicker Application Launcher.


#5

Does anyone else see this? Is there something I can do to remedy this. It started appearing maybe 5-6 updates ago.
image


#6

This is because the package has been downgraded in the repos, so your local version is newer.

pacman -Syyuu

should do the trick


#7

Yes. I’ve had that message come up during the past few updates.

The code was downgraded, because some computers had problems with the newest version of intel-ucode. If you are not having any issues, it is OK to keep your newer version.


#8

It’s sudo pacman -Syuu (with two us) for downgrading to the version in the repos.
-Syyu (with two ys) forces a refresh of the package databases.


#9

If your computer randomly reboots your first suspect will be intel-ucode, don’t forget that before you start to disassembling your machine and replacing parts.


#10

Manjaro KDE, kernel 4.14, free video driver - radeon, everything OK, smooth update. Many thanks!


#11

No problems here whatsoever. Beautiful


#12

Issue the same with Testing: Over write or blurred text at Grub startup makes it difficult to see and change for dual boot, in this case stable and testing both on same HD.


#13

error with:

 lib32-mesa-vdpau-17.3.6-1-x86_64                    1987,3 KiB  2,52M/s 00:01 [--------------------------------------------] 100%
(54/54) PrĂĽfe SchlĂĽssel im SchlĂĽsselring                                       [--------------------------------------------] 100%
(54/54) Überprüfe Paket-Integrität                                             [--------------------------------------------] 100%
Fehler: mesa-demos: signature from "Andreas Radke <andyrtr@archlinux.org>" is invalid
:: Datei /var/cache/pacman/pkg/mesa-demos-8.4.0-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] 

commands run after this:
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Sc
sudo pacman -Syyu

… the same mistake comes again and again

inxi -Fxx

System:    Host: Arch-on-Mac Kernel: 4.15.5-1-MANJARO x86_64 bits: 64 gcc: 7.3.0 Desktop: N/A dm: lightdm
           Distro: Manjaro Linux
Machine:   Device: portable System: Apple product: MacBookPro5 2 v: 1.0 serial: N/A
           Mobo: Apple model: Mac-F2268EC8 serial: N/A
           UEFI: Apple v: MBP52.88Z.008E.B05.0905042202 date: 05/04/09
           Chassis: type: 8 v: Mac-F2268EC8 serial: N/A
Battery    BAT0: charge: 78.7 Wh 98.8% condition: 79.6/94.9 Wh (84%) volts: 8.4/7.3
           model: DP bq20z951 serial: N/A status: Charging
CPU:       Dual core Intel Core2 Duo T9600 (-MCP-) arch: Penryn rev.10 cache: 6144 KB
           flags: (lm nx sse sse2 sse3 sse4_1 ssse3 vmx) bmips: 11143
           clock speeds: min/max: 1596/2793 MHz 1: 2720 MHz 2: 1707 MHz
Graphics:  Card-1: NVIDIA G96M [GeForce 9600M GT] bus-ID: 02:00.0 chip-ID: 10de:0647
           Card-2: NVIDIA C79 [GeForce 9400M] bus-ID: 03:00.0 chip-ID: 10de:0863
           Display Server: x11 (X.Org 1.19.6 ) driver: nvidia Resolution: 1920x1200@59.95hz
           OpenGL: renderer: GeForce 9600M GT/PCIe/SSE2 version: 3.3.0 NVIDIA 340.106 Direct Render: Yes
Audio:     Card NVIDIA MCP79 High Definition Audio driver: snd_hda_intel bus-ID: 00:08.0 chip-ID: 10de:0ac0
           Sound: Advanced Linux Sound Architecture v: k4.15.5-1-MANJARO
...
Drives:    HDD Total Size: 512.1GB (2.0% used)
           ID-1: /dev/sda model: Samsung_SSD_850 size: 512.1GB serial: S39FNX0J530794W
Partition: ID-1: / size: 15G used: 7.3G (54%) fs: ext4 dev: /dev/sda4
           ID-2: /home size: 9.6G used: 246M (3%) fs: ext4 dev: /dev/sda5
           ID-3: swap-1 size: 2.15GB used: 0.00GB (0%) fs: swap dev: /dev/sda6
Sensors:   System Temperatures: cpu: 70.0C mobo: N/A gpu: 0.0:74C
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 174 Uptime: 1:48 Memory: 1322.6/7725.1MB Init: systemd v: 237 Gcc sys: 7.3.0
           Client: Shell (bash 4.4.191 running in xfce4-terminal) inxi: 2.3.56 


#14

Back on stable with my amd netbook
- all fine-
cheers


#16

Same here.


#17

Manjaro Mate, kernel 4.14. Everything fine after reboot.

Thanks.


#18

Upgraded desktop- Asus TufZ270, I7-7700, NVidia GT-730, Kernel 4.14.23-1 XFCE with pacman -Syyu

Upgraded laptop- Apple MacBook Pro 8.1, I5-2435M, Intel Integrated graphics Kernel 4.14.23-1 XFCE with pamac

Both completely problem free. Thanks to the developers and maintainers for another problem free update.


#19

@Lila-Kuh, @5k5, just updated system, and
mesa-demos-8.4.0-1 updated fine.
You may update/sync your mirrors.


#20

sudo pacman-mirrors -f 3
sudo pacman -Syyu
…solved

(i have 4 client/pc updated … 3x without any problems … 1x with this problem)

thx and a nice day


#21

This did not fix mine.